# Represents dimenstions (width, height)

(PHP 7, UI 0.9.9)

## Introduction

Sizes are used throughout UI to represent the size of a screen, control, or area.

## Class synopsis

final UI\Size {
/* Properties */
public $width ;
public $height ;
/* Constructor */
public __construct ( float `$width` , float `$height` )
/* Methods */
public getHeight ( void ) : float
public getWidth ( void ) : float
public static of ( float `$size` ) : UI\Size
public static of ( UI\Point `$point` ) : UI\Size
public setHeight ( float `$size` )
public setWidth ( float `$size` )
}

## Properties

width

  Holds the width, can be read/written directly

height

  Holds the height, can be read/written directly

## Table of Contents

- UI\Size::__construct — Construct a new Size
- UI\Size::getHeight — Retrieves Height
- UI\Size::getWidth — Retrives Width
- UI\Size::of — Point Coercion
- UI\Size::setHeight — Set Height
- UI\Size::setWidth — Set Width